service.h File Reference
`#include <corosync/hdb.h>`
Include dependency graph for service.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | default_service

## Functions

char * | corosync_service_link_and_init (struct corosync_api_v1 *objdb, struct default_service *service_engine)
| Link and initialize a service. More...
unsigned int | corosync_service_unlink_and_exit (struct corosync_api_v1 *objdb, const char *service_name, unsigned int service_ver)
| Unlink and exit a service. More...
void | corosync_service_unlink_all (struct corosync_api_v1 *api, void(*unlink_all_complete)(void))
| Unlink and exit all corosync services. More...
unsigned int | corosync_service_defaults_link_and_init (struct corosync_api_v1 *objdb)
| Load all of the default services. More...
struct corosync_service_engine * | votequorum_get_service_engine_ver0 (void)
struct corosync_service_engine * | vsf_quorum_get_service_engine_ver0 (void)
struct corosync_service_engine * | quorum_get_service_handler_ver0 (void)
struct corosync_service_engine * | pload_get_service_engine_ver0 (void)
struct corosync_service_engine * | cfg_get_service_engine_ver0 (void)
struct corosync_service_engine * | cpg_get_service_engine_ver0 (void)
struct corosync_service_engine * | mon_get_service_engine_ver0 (void)
struct corosync_service_engine * | wd_get_service_engine_ver0 (void)
struct corosync_service_engine * | cmap_get_service_engine_ver0 (void)

## Variables

struct corosync_service_engine * | corosync_service []
const char * | service_stats_rx [SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]
const char * | service_stats_tx [SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]

## Function Documentation

## cfg_get_service_engine_ver0()

struct corosync_service_engine* cfg_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 287 of file exec/cfg.c.

References cfg_service_engine.

## cmap_get_service_engine_ver0()

struct corosync_service_engine* cmap_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 284 of file exec/cmap.c.

References cmap_service_engine.

## corosync_service_defaults_link_and_init()

unsigned int corosync_service_defaults_link_and_init | ( | struct corosync_api_v1 * | objdb | ) |

Load all of the default services.

Definition at line 339 of file service.c.

## corosync_service_link_and_init()

char* corosync_service_link_and_init | ( | struct corosync_api_v1 * | objdb,
|  | struct default_service * | service_engine
| ) |  |

Link and initialize a service.

Definition at line 117 of file service.c.

## corosync_service_unlink_all()

void corosync_service_unlink_all | ( | struct corosync_api_v1 * | api,
|  | void(*)(void) | unlink_all_complete
| ) |  |

Unlink and exit all corosync services.

Definition at line 394 of file service.c.

Referenced by corosync_shutdown_request().

## corosync_service_unlink_and_exit()

unsigned int corosync_service_unlink_and_exit | ( | struct corosync_api_v1 * | objdb,
|  | const char * | service_name,
|  | unsigned int | service_ver
| ) |  |

Unlink and exit a service.

Definition at line 450 of file service.c.

## cpg_get_service_engine_ver0()

struct corosync_service_engine* cpg_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 454 of file exec/cpg.c.

References cpg_service_engine.

## mon_get_service_engine_ver0()

struct corosync_service_engine* mon_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 149 of file mon.c.

References mon_service_engine.

## pload_get_service_engine_ver0()

struct corosync_service_engine* pload_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 146 of file pload.c.

References pload_service_engine.

## quorum_get_service_handler_ver0()

struct corosync_service_engine* quorum_get_service_handler_ver0 | ( | void |  | ) |

## votequorum_get_service_engine_ver0()

struct corosync_service_engine* votequorum_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 416 of file exec/votequorum.c.

## vsf_quorum_get_service_engine_ver0()

struct corosync_service_engine* vsf_quorum_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 236 of file vsf_quorum.c.

## wd_get_service_engine_ver0()

struct corosync_service_engine* wd_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 146 of file wd.c.

References wd_service_engine.

## Variable Documentation

## corosync_service

struct corosync_service_engine* corosync_service[]

extern

Definition at line 110 of file service.c.

Referenced by corosync_state_dump(), cs_ipcs_get_conn_stats(), and main_mcast().

## service_stats_rx

const char* service_stats_rx[SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]

extern

Definition at line 112 of file service.c.

## service_stats_tx

const char* service_stats_tx[SERVICES_COUNT_MAX][SERVICE_HANDLER_MAXIMUM_COUNT]

extern

Definition at line 113 of file service.c.

Referenced by main_mcast().